This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 990817 - Review Request: python-x2go - Python module providing X2Go client API
Review Request: python-x2go - Python module providing X2Go client API
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 991286 991292 998551
  Show dependency treegraph
 
Reported: 2013-08-01 00:21 EDT by Orion Poplawski
Modified: 2013-10-19 17:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 00:15:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-08-01 00:21:56 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/python-x2go.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/python-x2go-0.4.0.6-1.fc19.src.rpm
Description: 
X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - LDAP support
   - client side mass storage mounting support
   - audio support
   - authentication by smartcard and USB stick

This Python module allows you to integrate X2Go client support into your
Python applications by providing a Python-based X2Go client API.

Fedora Account System Username: orion
Comment 1 Christopher Meng 2013-08-01 00:39:18 EDT
python-x2go.noarch: E: explicit-lib-dependency python-xlib
python-x2go.noarch: W: invalid-license AGPLv3+
python-x2go.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/x2go/forward.py 0644L /usr/bin/env
python-x2go.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/x2go/rforward.py 0644L /usr/bin/env
python-x2go.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/x2go/printactions.py 0644L /usr/bin/env
python-x2go.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/x2go/tests/runalltests.py 0644L /usr/bin/env
python-x2go.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/x2go/mimeboxactions.py 0644L /usr/bin/env
python-x2go.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/x2go/mimebox.py 0644L /usr/bin/env
Comment 2 Orion Poplawski 2013-08-01 16:43:34 EDT
(In reply to Christopher Meng from comment #1)
> python-x2go.noarch: E: explicit-lib-dependency python-xlib

False positive because of the "lib".  We still need to explicitly depend on python libraries.

> python-x2go.noarch: W: invalid-license AGPLv3+

It's listed here: https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses

> python-x2go.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/x2go/forward.py 0644L /usr/bin/env
> python-x2go.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/x2go/rforward.py 0644L /usr/bin/env
> python-x2go.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/x2go/printactions.py 0644L /usr/bin/env
> python-x2go.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/x2go/tests/runalltests.py 0644L /usr/bin/env
> python-x2go.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/x2go/mimeboxactions.py 0644L /usr/bin/env
> python-x2go.noarch: E: non-executable-script
> /usr/lib/python2.7/site-packages/x2go/mimebox.py 0644L /usr/bin/env

Fixed.

Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/python-x2go.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/python-x2go-0.4.0.6-2.fc19.src.rpm

* Thu Aug 1 2013 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.6-2
- Remove python shbangs from library scripts
Comment 3 Christopher Meng 2013-08-01 19:41:37 EDT
APPROVED.
Comment 4 Orion Poplawski 2013-08-01 23:57:13 EDT
New Package SCM Request
=======================
Package Name: python-x2go
Short Description: Python module providing X2Go client API
Owners: orion
Branches: f19 f18 el6
InitialCC:
Comment 5 Jon Ciesla 2013-08-02 08:03:25 EDT
Git done (by process-git-requests).
Comment 6 Orion Poplawski 2013-08-31 00:15:46 EDT
Checked in and built

Note You need to log in before you can comment on or make changes to this bug.